#!/bin/bash
set -e  # 오류 발생 시 즉시 종료

APP_NAME=utic-traf-server-0.0.1.jar
JAR_PATH=./utic-traf-server/build/libs/$APP_NAME
REMOTE_PATH=/home/utis/bin/

# 서버 정보 설정
HOST=192.168.10.21
USER=utis
PASSWD=utis

echo "📦 FTP Deploying to $HOST..."

ftp -inv $HOST <<EOF
user $USER $PASSWD
cd $REMOTE_PATH
put $JAR_PATH
bye
EOF

if [ $? -eq 0 ]; then
    echo "✅ FTP 업로드 성공!"
else
    echo "❌ FTP 업로드 실패. 경로 또는 권한 확인 필요."
fi
